CustomerAttributes:
  allOf:
    - $ref: '#/CustomerAttributeReadonlyProperties'
    - $ref: '#/CustomerAttributeFillableProperties'
CustomerAttributeReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор свойства
      example: 1
CustomerAttributeFillableProperties:
  type: object
  properties:
    name:
      type: string
      description: Название свойства
      example: "Лояльный"
CustomerAttributeRequiredProperties:
  type: object
  required:
    - name
CustomerSearchAttributeFilter:
  type: object

SearchCustomerAttributesRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/CustomerSearchAttributeFilter'
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'
CustomerAttributeForCreateOrReplace:
  allOf:
    - $ref: '#/CustomerAttributeFillableProperties'
    - $ref: '#/CustomerAttributeRequiredProperties'
CustomerAttributeResponse:
  type: object
  properties:
    data:
      $ref: '#/CustomerAttributes'
    meta:
      type: object
  required:
    - data
SearchCustomerAttributesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/CustomerAttributes'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
